Skip to main content
GET
Browse or search the public channel directory

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Device-Id
string

Device identifier for multi-device support. Required when multiple devices are registered. If only one device is registered, it will be used as the default. Can also be provided as device_id query parameter.

Example:

"my-device-id"

Query Parameters

view
enum<string>
default:RECOMMENDED
Available options:
RECOMMENDED,
TRENDING,
POPULAR,
NEW,
FEATURED
search_text
string
country_codes
string[]

ISO 3166-1 alpha-2 codes, repeated or comma separated. Required when browsing a view.

categories
enum<string>[]
Available options:
BUSINESS,
ENTERTAINMENT,
LIFESTYLE,
NEWS,
ORGANIZATIONS,
PEOPLE,
SPORTS
limit
integer
default:20
Required range: 1 <= x <= 50
cursor
string

next_cursor from the previous page

Response

OK

code
string
Example:

"SUCCESS"

message
string
Example:

"Success search newsletter directory"

results
object